Subject: Re: bug#49774: 27.1; if diff commands finds no differences then do not pop up a window

From: ndame <[email-masked]>
Date: Fri, 30 Jul 2021 11:19:02 +0000

>
> This is what `M-x man' does (when it turns out that the manual page
> doesn't exist), and people really dislike that, too (the "flickering"
> has been reported as a bug multiple times).
>
> So I don't think we want to extend that user experience in Emacs.
>

The other possibility is not popping up the diff window instantly, but
waiting for the first output to arrive. If there is no difference
then no output is coming and exit status 0 tells us we can print the
message.